## mozilla-firefox-locale-it 0.9.3-3ubuntu1

=== debian/changelog ===
mozilla-firefox-locale-it (0.9.3-3ubuntu1) warty; urgency=low

  * Build for warty

 -- Thom May <thom@canonical.com>  Mon, 11 Oct 2004 14:39:12 +0100

mozilla-firefox-locale-it (0.9.3-3) unstable; urgency=low

  * Added /usr/lib/mozilla-firefox/extensions/{uid}
    Fixed /var/lib/mozilla-firefox/chrome.d/50it-locale (Closes: #222053)

 -- Vittorio Palmisano <redclay@email.it>  Mon, 13 Sep 2004 14:14:14 +0200

mozilla-firefox-locale-it (0.9.3-2) unstable; urgency=low

  * Changed Upstream Author's email address

 -- Vittorio Palmisano <redclay@email.it>  Tue, 07 Sep 2004 20:38:01 +0200

mozilla-firefox-locale-it (0.9.3-1) unstable; urgency=low

  * 0.9.1 release

 -- Vittorio Palmisano <redclay@email.it>  Tue, 10 Aug 2004 23:16:42 +0200

mozilla-firefox-locale-it (0.9.1-1) unstable; urgency=low

  * 0.9.1 release (closes #259156)

 -- Vittorio Palmisano <redclay@email.it>  Tue, 13 Jul 2004 10:40:51 +0200

mozilla-firefox-locale-it (0.9-1) unstable; urgency=low

  * 0.9 release

 -- Vittorio Palmisano <redclay@email.it>  Fri, 18 Jun 2004 23:56:17 +0200

mozilla-firefox-locale-it (0.8-1) unstable; urgency=low

  * Initial Release (closes #243221)

 -- Vittorio Palmisano <redclay@email.it>  Sun, 11 Apr 2004 21:08:00 +0200
