=== debian/control ===
Source: mozilla-firefox-locale-it
Section: web
Priority: optional
Maintainer: Vittorio Palmisano <redclay@email.it>
Build-Depends-Indep: debhelper (>= 4.0.0), unzip (>> 5.0)
Standards-Version: 3.6.1

Package: mozilla-firefox-locale-it
Architecture: all
Depends: mozilla-firefox (>= 0.9), mozilla-firefox (<< 1.0)
Description: Mozilla Firefox Italian Language/Region Package
 Italian Menu/Message resource and Region property package
 for Mozilla Firefox.
 .
 Homepage: http://www.mozillaitalia.org/
