=== debian/rules ===
#!/usr/bin/make -f

# Mostly taken from mozilla-locale-ja. 
# Thanks to Takuo Kitame <kitame@northeye.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR = $(CURDIR)/debian/build

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	mkdir -p $(BUILDDIR)
	unzip -d $(BUILDDIR) $(CURDIR)/*.xpi

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-rm -rf $(BUILDDIR)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# jar files
	install -m 644 $(BUILDDIR)/chrome/it-IT.jar \
	        $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/chrome/
	install -m 644 $(BUILDDIR)/chrome/it-unix.jar \
	        $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/chrome/
	install -m 644 $(BUILDDIR)/chrome/IT.jar \
	        $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/chrome/
	install -m 644 $(BUILDDIR)/chrome/italianlocale.jar \
	        $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/chrome/
	
	# chrome
	install -d $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/defaults/profile/IT/chrome/
	install -m 644 $(BUILDDIR)/defaults/profile/IT/chrome/*.css \
	        $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/defaults/profile/IT/chrome/

	# profile
	install -m 644 $(BUILDDIR)/defaults/profile/IT/*.rdf \
		$(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/defaults/profile/IT/

#	install -D -m 644 $(BUILDDIR)/defaults/profile/IT/bookmarks.html \
#		$(CURDIR)/debian/mozilla-firefox-locale-it/etc/mozilla-firefox/profile/IT/bookmarks.html
#	
#	ln -s /etc/mozilla-firefox/profile/IT/bookmarks.html $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/defaults/profile/IT/

#	install -d $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/searchplugins/
#	install -m 644 $(BUILDDIR)/sp/* \
#	        $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/searchplugins/

	install -m 666 $(CURDIR)/debian/50it-locale \
		$(CURDIR)/debian/mozilla-firefox-locale-it/var/lib/mozilla-firefox/chrome.d
	
	echo "it:IT" > debian/mozilla-firefox-locale-it/var/lib/mozilla-firefox/locales.d/50_locale-it-IT

	install -d $(CURDIR)/debian/mozilla-firefox-locale-it/var/lib/mozilla-firefox/extensions.d/
	install -m 644 $(CURDIR)/debian/50locale-it-extension \
		$(CURDIR)/debian/mozilla-firefox-locale-it/var/lib/mozilla-firefox/extensions.d/50locale-it-extension
		
	install -d $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}
	install -m 644 $(BUILDDIR)/install.rdf \
	        $(CURDIR)/debian/mozilla-firefox-locale-it/usr/lib/mozilla-firefox/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}

#	install -m 644 $(CURDIR)/debian/extension.part.locale-it \
#		$(CURDIR)/debian/mozilla-firefox-locale-it/var/lib/mozilla-firefox/extensions.d/extension.part.locale-it


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs 
	dh_installchangelogs 
	dh_link 
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
