## mozilla-firefox-locale-it 1.0-0ubuntu0.1

=== debian/changelog ===
mozilla-firefox-locale-it (1.0-0ubuntu0.1) warty-security; urgency=low

  * Warty got 1.0.6 security update, language packs must be upgraded.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Jul 2005 08:17:32 +0000

mozilla-firefox-locale-it (0.9.3-4) unstable; urgency=low

  * Mike Hommey: fixed uid in /usr/lib/mozilla-firefox/extensions/ and
    /var/lib/mozilla-firefox/extensions.d/50locale-it-extension
    (Closes: #222053)

 -- Vittorio Palmisano <redclay@email.it>  Wed, 15 Sep 2004 14:52:59 +0200
