## mozilla-firefox-locale-it 1.0-1

=== debian/changelog ===
mozilla-firefox-locale-it (1.0-1) unstable; urgency=low

  * 1.0 release

 -- Vittorio Palmisano <redclay@email.it>  Fri, 12 Nov 2004 22:03:15 +0100
