=== debian/control ===
Source: mozilla-firefox-locale-it
Section: web
Priority: optional
Maintainer: Vittorio Palmisano <redclay@email.it>
Build-Depends-Indep: debhelper (>> 4.2), unzip (>> 5.50), zip (>> 2.30), findutils (>> 4.1)
Standards-Version: 3.6.1

Package: mozilla-firefox-locale-it
Architecture: all
Depends: mozilla-firefox (>= 0.99+1.0RC1-3), mozilla-firefox (<= 1.0.99)
Description: Mozilla Firefox Italian Language/Region Package
 Italian Menu/Message resource and Region property package
 for Mozilla Firefox.
 .
 Homepage: http://www.mozillaitalia.org/
