=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 Package: mozilla-firefox-locale-it
 Architecture: all
-Depends: mozilla-firefox (>= 0.99+1.0RC1-3), mozilla-firefox (<= 1.0.99)
+Depends: firefox | language-support-it
+Conflicts: firefox (<< 1.0), firefox (>= 1.1)
 Description: Mozilla Firefox Italian Language/Region Package
  Italian Menu/Message resource and Region property package
  for Mozilla Firefox.
