=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture independent.
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

p = mozilla-firefox-locale-it
UID = {9db167da-cba5-4d12-b045-5d2a5a36a88a}

build: build-stamp
build-stamp:
	dh_testdir

	cd $(CURDIR)

	mkdir -p build
	unzip *.xpi -d build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-rm -rf build debian/$(p)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	# test UID
	if $(UID) != $(shell grep "<Description about=\"urn:mozilla:install-manifest\"" -A10 build/install.rdf | grep "em:id=" | sed s/"^.*em:id=\"\(.*\)\""/"\1"/); then \
		echo "Bad uid = $(UID)"; \
		exit 1; \
	fi
	
	# extension
	dh_installdirs -p$(p) usr/lib/mozilla-firefox/extensions/$(UID)
	dh_install -p$(p) build/* usr/lib/mozilla-firefox/extensions/$(UID)
	
	# uninstall
	dh_installdirs -p$(p) usr/lib/mozilla-firefox/extensions/$(UID)/uninstall
	echo "" > debian/$(p)/usr/lib/mozilla-firefox/extensions/$(UID)/uninstall/Uninstall
	
	# extensions.d
	dh_installdirs -p$(p) var/lib/mozilla-firefox/extensions.d
	echo "extension,$(UID)" > debian/$(p)/var/lib/mozilla-firefox/extensions.d/50_locale-it-IT
	
	# locales.d
	dh_installdirs -p$(p) var/lib/mozilla-firefox/locales.d
	echo "it:IT" > debian/$(p)/var/lib/mozilla-firefox/locales.d/50_locale-it-IT
		
# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
